library ieee;
USE ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all ;

ENTITY tst_top IS END tst_top;

ARCHITECTURE rtl OF tst_top IS

component incrementer  generic (
	size 	: integer) ;
	port (
	ip 	: in std_logic_vector (size-1 downto 0);
	op 	: out std_logic_vector(size-1 downto 0)); 
END component;

SIGNAL ip : std_logic_vector(8 downto 0) := "000000000" ;
signal op : std_logic_vector(8 downto 0) ;
signal clk : std_logic := '1' ;

BEGIN

clk <= not clk after 5 nS ;

process (clk)
begin
if clk'event and clk = '1' then 
	ip <= op ;
end if ;
end process ;

chip : incrementer generic map (
	size 	=> 9) 
	port map (
	ip 	=> ip,
	op	=> op); 

END rtl;
